//
//  MKBarGraphView.m
//  ThermoStat-HK
//
//  Created by Matthias Krauß on 25.09.14.
//  Copyright (c) 2014 Matthias Krauß. All rights reserved.
//

#import "MKBarGraphView.h"


@implementation MKBarGraphView

- (void)drawRect:(CGRect)rect {
//    CGContextRef context = UIGraphicsGetCurrentContext();
    CGRect myFrame = self.bounds;
    
    [[UIColor whiteColor] set];
    UIRectFill(myFrame);
    [[UIColor blackColor] set];

    if (!self.values) return;
    
    int num = self.values.count;
    double barWidth = CGRectGetWidth(myFrame) / num;

    
    for (int i=0; i<num; i++) {
        NSNumber* number = self.values[i];
        double val = number.doubleValue;
        val = (self.maxVal != self.minVal) ? ((val-self.minVal) / (self.maxVal-self.minVal)) : 0.0;
        double height = CGRectGetHeight(myFrame) * val;
        if (height < 2.0) height = 2.0;
        double xInset = 2.0;
        CGRect barRect = CGRectMake(CGRectGetMinX(myFrame) + i*barWidth + xInset,
                                    CGRectGetMaxY(myFrame) - height,
                                    barWidth - 2*xInset,
                                    height);
        UIRectFill(barRect);
    }

}

@end
