//
//  ViewController.m
//  ThermoViewer-HK
//
//  Created by Matthias Krauß on 23.09.14.
//  Copyright (c) 2014 Matthias Krauß. All rights reserved.
//

#import "ViewController.h"

#import "MKThermoCollector.h"


@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];

    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)viewWillAppear:(BOOL)animated  {
    MKThermoCollector* tc = self.thermoCollector;
    if (tc) {
        [tc start];
        [tc addObserver:self forKeyPath:@"state" options:0 context:NULL];
        [tc addObserver:self forKeyPath:@"status" options:0 context:NULL];
        [self refresh];
    }
}

- (void)observeValueForKeyPath:(NSString *)keyPath ofObject:(id)object change:(NSDictionary *)change context:(void *)context {
    [self refresh];
}

- (void)viewDidDisappear:(BOOL)animated {
    MKThermoCollector* tc = self.thermoCollector;
    if (tc) {
        [tc removeObserver:self forKeyPath:@"state"];
        [tc removeObserver:self forKeyPath:@"status"];
        [self refresh];
    }
}

- (void) refresh {
    self.statusLabel.text = self.thermoCollector.status;
}
@end
